<?php
@session_start();
$vg_login=$_SESSION["usuario"];
if($vg_login<>""){}
else
{echo "<script>";
 echo "window.location='../index.php';";
 echo "</script>";
}	
include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$sql_entrada= mysqli_query($conseg,"select login,nombre,perfil,programa,cedula,pais from permiso     
					  where login='".trim($vg_login)."'  and programa=".$vg_programa."");
while($datos= mysqli_fetch_row($sql_entrada))
	  { $vg_nombre=$datos[1];
		$vg_perfil=$datos[2];				
	  } 
//permisos a formularios
$modulo="Seguridad";
$permisos=validar_permiso($vg_login,$modulo,$vg_perfil,$vg_programa);
include "../permisos.php";
$valpermiso=F_permiso($permisos);
/*
if($valpermiso[0]==1){}
else
{echo "<script>";
echo "window.location='../erroracceso.php?formulario=Parametros_Usuarios';";
echo "</script>";
}
*/
include "../parametros.php";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php  echo $nombreprograma." - ".$version; ?></title>
  <script src="../js/jquery.min.js"></script>
  <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
 <script src="../bootstrap/js/bootstrap.min.js"></script>
 <link rel="stylesheet" href="../toastn/style.css">
 <script src="../toastn/cute-alert.js"></script>

<link rel="stylesheet" href="../toastn/style.css">
<script src="../toastn/cute-alert.js"></script>
  
</head>
<BODY>


<?php

$documento="";$login="";$nombre="";$password="";$apellido="";$email="";$cargo="";$vp_pais="";$estado="";
if(isset($_REQUEST['oculto']))
  {
    $documento=$_REQUEST['documento'];     

	$login=$_REQUEST['login'];

	$nombre=$_REQUEST['nombre']; 

	$apellido=$_REQUEST['apellido'];

	$email=$_REQUEST['email'];

	$cargo=$_REQUEST['cargo'];

	$estado=$_REQUEST['estado'];

	$password=md5($_REQUEST['password']);    

	 

	 if($_REQUEST['Obuscar'])

	 {

	   $sql_datos = mysqli_query($conseg,"SELECT nombre,apellido,documento,cargo,email,

						password,estado

					   FROM usuario

					   where login='".$login."'");

		while($datos= mysqli_fetch_row($sql_datos))

		{

		  $nombre=$datos[0];

		  $apellido=$datos[1];				

		  $documento=$datos[2];				

		  $cargo=$datos[3];				

		  $email=$datos[4];				

		  $password=$datos[5];				

		  $estado=$datos[6];				

		}

	 }

	 

	 if(isset ($_REQUEST['buscar']))

          {     $sql_contar=mysqli_query($conseg,"SELECT count(*) as cantidad FROM usuario 

		  									where login='".$login."'");

			     while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}

                   if($contar>=1)

                    { 

						     $sql_datos = mysqli_query($conseg,"SELECT nombre,apellido,documento,cargo,email,

							 						password,estado

											   FROM usuario

											   where login='".$login."'");

							while($datos= mysqli_fetch_row($sql_datos))

								{

								  $nombre=$datos[0];

								  $apellido=$datos[1];				

								  $documento=$datos[2];				

								  $cargo=$datos[3];				

								  $email=$datos[4];				

								  $password=$datos[5];				

								  $estado=$datos[6];				

								}

                    }

                else

                  {  echo "<script>";  echo "alert('No existe el usuario')";echo "</script>";

				     $documento="";$login="";$nombre="";$password="";$apellido="";$email="";$cargo="";$vp_pais="";

				  }

        }//fin buscar

  

 if(isset ($_REQUEST['guardar']))

	{ 

	 if($_REQUEST['oguardar']==1)

	 {

		$var_email=1;$var_dominio=1;

		if($var_email==1 and $var_dominio==1)//10	

	    { 

		  if($login=="" or $nombre=="" or $apellido=="" or $documento=="")

			   {  echo "<script>"; echo "alert('Digite todos los campos requeridos')"; echo "</script>";}

		  else//11

			   { 

			        $sql_contar= mysqli_query($conseg,"SELECT count(*) as cantidad FROM usuario

							   				  where login='".$login."'");

					while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}

			        if($contar>=1)

			         { $password="";echo "<script>";

					 	echo "alert('Ya existe un usuario con ese login')";echo "</script>"; }

				    else//12

				     { 

					   $sql_insert =mysqli_query($conseg,"insert into usuario (login,nombre,apellido,documento,

					   								cargo,email,estado,password)

											   values ('".trim($login)."','".trim($nombre)."',

											   		   '".trim($apellido)."','".trim($documento)."',

													   '".trim($cargo)."',			

													   '".trim($email)."','A','".$password."')");

						   if ($sql_insert)

							 {  echo "<script>";   echo "alert('Se Registro el usuario')";  echo "</script>";

							 }

						   else

							 {$vl_passwd=""; echo "<script>";   echo "alert('Error al Registrar el usuario')";   echo "</script>";}

				   }//12 

				  

			 }//11	 

        }//10

	  }//fin pregunta guardar	

    }//fin guardar

		

     #opcion para modificar el usuario

     if(isset ($_REQUEST['modificar']))

       {

	   if($_REQUEST['omodificar']==1)

		 {

		   if($login==" " or $nombre==" " or $apellido==" " or $documento==" ")

			  {  echo "<script>"; echo "alert('Digite todos los campos requeridos')"; echo "</script>";}

		   else

		     {//01   

			        $sql_contar= mysqli_query($conseg,"SELECT count(*) as cantidad FROM usuario 

											  where login='".$login."'");

					while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}

			        if($contar>=1)//001

					 { $sql_update =mysqli_query($conseg,"UPDATE usuario SET 

					                         nombre='".trim($nombre)."',

											 apellido='".trim($apellido)."',

										     documento='".trim($documento)."',									

										     email='".trim($email)."',

											 cargo='".trim($cargo)."',

											 estado='".trim($estado)."',

											 password='".trim($password)."'											

           									where login='".$login."'");

					   if ($sql_update)

						 {  $vl_passwd=""; echo "<script>";      

						 echo "alert('Se actualizo el usuario')";  echo "</script>";

						 }

					   else

						 { $vl_passwd="";echo "<script>";   

						 echo "alert('Error al actualizar el usuario')";  echo "</script>";}

			         }//001	 

                    else

					 {$vl_passwd="";echo "<script>";   

					  echo "alert('No existe login a modificar')";  echo "</script>";}

			 } //01

		}//fin pregunta modificar		 

	}//fin mosidicar



	if(isset ($_REQUEST['cancela']))

		   { 

		    $documento="";$login="";$nombre="";$password="";$apellido="";$email="";$cargo="";$vp_pais="";

		   }

	



  }//fin oculto

?>

<form name="parametros" method="post" action="" >

<div align="center">

<div class="panel panel-primary" style="width:80%;">
      <div class="panel-heading">USUARIOS</div>
       <div align="center">



		 <table width="800" border="0" cellspacing="0" cellpadding="0">

              <tr> 

                <td width="116" height="28"><div class="textotitulotablas">Login </div>                  </td>

                <td width="255"><input name="login" type="text" id="login"   value="<?php echo $login; ?>" maxlength="15"

				onfocus="this.style.background='#D5EAFF'" onBlur="this.style.background='#ffffff'"

                class="form-control" data-toggle="tooltip" data-placement="right" title="Digite el usuario" style="width: 150px"

				></td>

                <td width="88"><input name="buscar" type="submit" id="buscar"  value="Buscar" class="btn btn-primary" ></td>

                <td width="341">&nbsp;</td>

              </tr>

              <tr> 

                <td height="26"><div class="textotitulotablas">Nombres </div>                  </td>

                <td height="26"><input name="nombre" type="text"  id="nombre" value="<?php echo $nombre; ?>" 

				 onfocus="this.style.background='#D5EAFF'" onBlur="this.style.background='#ffffff'"

                class="form-control" d style="width: 250px"></td>

                <td height="26"><div class="textotitulotablas">Apellidos </div></td>

                <td height="26"><input name="apellido" type="text" id="apellido"     value="<?php echo $apellido; ?>" 

				onfocus="this.style.background='#D5EAFF'" onBlur="this.style.background='#ffffff'"

                class="form-control"  style="width: 250px"></td>

              </tr>

              <tr> 

                <td><div class="textotitulotablas">Documento </div>                  </td>

                <td><input name="documento" type="text"  id="documento"   value="<?php echo $documento ?>"

				onfocus="this.style.background='#D5EAFF'" onBlur="this.style.background='#ffffff'"

                class="form-control"  style="width: 150px"></td>

                <td><div class="textotitulotablas">Cargo </div></td>

                <td><span class="texto">

                  <input name="cargo" type="text" id="cargo"    value="<?php echo $cargo; ?>" 

				  onfocus="this.style.background='#D5EAFF'" onBlur="this.style.background='#ffffff'"

                   class="form-control"  style="width: 300px">

                </span></td>

              </tr>

              <tr> 

                <td><div class="textotitulotablas">Estado</div></td>

                <td><select name="estado"  id="estado" 

				      onfocus="this.style.background='#D5EAFF'" onBlur="this.style.background='#ffffff'"

                   class="form-control"  style="width: 150px"

						>

                  <?PHP

						if($estado=="A")

						  { echo "<option value='A' selected>Activo</option>";}

						else

						  { echo "<option value='A'>Activo</option>";} 

						if($estado=="I")

						  { echo "<option value='I' selected>Inactivo</option>";}

						else

						  { echo "<option value='I'>Inactivo</option>";} 

					  ?>

                </select></td>

                <td><div class="textotitulotablas">Email </div></td>

                <td><input name="email" type="text" id="email"   value="<?php echo $email ?>" 

				  
				onfocus="this.style.background='#D5EAFF'" onBlur="this.style.background='#ffffff'"

                  class="form-control"  style="width: 300px"   ></td>

              </tr>

              <tr> 

                <td><div class="textotitulotablas">Clave Acceso</div>                </td>

                <td colspan="2"><input name="password" type="password"  id="password"   value="<?php echo $password; ?>"

				onfocus="this.style.background='#D5EAFF'" onBlur="this.style.background='#ffffff'"

                   class="form-control"  style="width: 200px"  ></td>

                <td>
  				                   
				 
  				
				 
                </td>

              </tr>

              <tr> 

                <td colspan="4"><div align="center"> 

                    <input type="hidden" name="oculto">

                    <input name="guardar" type="submit" id="guardar"  value="Guardar" onClick="return pregunta_guardar();" class="btn btn-primary">

                    <input name="modificar" type="submit" id="modificar"  value="Modificar" onClick="return pregunta_modificar();" class="btn btn-primary">

                    <input name="cancela" type="submit"  id="cancela"  value="Cancela" class="btn btn-primary">

                    <?php

                     if($login<>"")

					  {

/*						<a href='#' class="btn btn-primary" onClick="javascript:window.open('frm_usuario_empresa.php?usuario=<?php echo $login; ?>','RP','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=450,height=500');" >Cargar Empresa</a>
<a href='#' class="btn btn-primary" onClick="javascript:window.open('frm_usuario_empresa.php?usuario=<?php echo $login; ?>','RP','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=450,height=500');" >Cargar Empresa</a>
<input name='rep' type='button'  id='rep' value='Usuario Empresa'   class="btn btn-primary" title="Clic para ver reporte"
							 onClick="javascript:window.open('frm_perfil_usuario.php?vl_login=<?php echo $login;?>&obusca=0','ReporteParametros','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=500');" >


*/
					?>


							<input name='rep' type='button'  id='rep' value='Perfil Usuario'   class="btn btn-primary" title="Clic para ver reporte"
                            data-toggle="modal" data-target="#myModalperfiluser" >

							 <input name='modulo' type='button'  id='modulo' value='Acceso a Modulo'   class="btn btn-primary" title="Clic para ver menu modulo"
                              data-toggle="modal" data-target="#myModalmodulomenu" >
                              
                              <input name='modulo' type='button'  id='modulo' value='Empresa Usuario'   class="btn btn-primary" title="Clic para ver menu modulo"
                              data-toggle="modal" data-target="#myModalempresausuario" >


					
					<?php

                      }

					?>
					<br>
                    <input name='rep2' type='hidden'  id='rep2' value='Reporte'   class="btn btn-primary" title="Clic para ver reporte"
							 onClick="javascript:window.open('frm_reporteusuarios.php?tabla=usuario','ReporteParametros','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=500');" >

							

							 <input name='modulo' type='button'  id='modulo' value='Modulo'   class="btn btn-primary" title="Clic para ver reporte" 
                             		data-toggle="modal" data-target="#myModalmodulo" >

							 
                    <input name='perfil' type='button'  id='perfil' value='Perfil'   class="btn btn-primary" title="Clic para ver reporte"
							data-toggle="modal" data-target="#myModalperfil">

					  		<A href='listado_usuarios.php'  class="btn btn-primary">Excel Usuarios</a>

							 

                </div></td>

              </tr>

          </table>

    <input name="oguardar" type="hidden" id="oguardar">

    <input name="omodificar" type="hidden" id="omodificar">

    <input name="Obuscar" type="hidden" id="Obuscar">

  </div>

  </div>

</div>

</form>









<script language="JavaScript">



function pregunta_guardar()

 {    

    if (confirm('Seguro de Guardar el usuario?')== false)

	    { return false; }  

	else

	  { retorno_valida=valida_campos_parametros();

	    if(retorno_valida==false)

		   { parametros.oguardar.value = 0; return false;}

	    else{ 

		     parametros.oguardar.value = 1;

			 return true;

		    }

	  } 

} 



function pregunta_modificar(){ 

	if (confirm('Seguro de Modificar ?') == false)

	  {  return false; } 

	else

	  { 

	   retorno_valida=valida_campos_parametros();

	    if(retorno_valida==false){ parametros.omodificar.value = 0; return false;}

	    else{ parametros.omodificar.value = 1;

		      return true;

		}

	  }

	     

} 





function valida_campos_parametros()

{   var mensaje='';



	 if(document.parametros.login.value!=''){}

	 else {mensaje=mensaje + 'Falta digitar el Login,';    }

	

	 if(document.parametros.nombre.value!=''){}

	 else {mensaje=mensaje + 'Falta digitar el Nombre,';    }

	 if(document.parametros.apellido.value!=''){}

	 else {mensaje=mensaje + 'Falta digitar los Apellidos,';    }

	 if(document.parametros.password.value!=''){}

	 else {mensaje=mensaje + 'Falta digitar el Password,';    }

	  if(document.parametros.email.value!=''){}

	 else {mensaje=mensaje + 'Falta digitar el Email,';    }

	  if(document.parametros.documento.value!=''){}

	 else {mensaje=mensaje + 'Falta digitar el Documento,';    }

	 

	 

	if(document.parametros.login.value!='' && document.parametros.nombre.value!='' &&

		document.parametros.apellido.value!='' && document.parametros.password.value!='' && 

		document.parametros.email.value!='' && document.parametros.documento.value!=''){return true;}

	else {

		  alert(mensaje);

		  return false;

		 }	



}







/*function pregunta_guardar(){ 

    if (confirm('ï¿½Estï¿½ seguro de Guardar?')== false)

	  { parametros.oguardar.value = 0       

	    return false;

	  }  

	else

	  { parametros.oguardar.value = 1;

	     return true;

	  }   

} 



function pregunta_modificar(){ 

    if (confirm('ï¿½Estï¿½ seguro de Modificar ?') == false)

	  { parametros.omodificar.value = 0  

	    return false;

	  } 

	else

	  { parametros.omodificar.value = 1 ; 

	    return true;

	  }   

	

} 

*/

</script>
                             
<div class="modal fade" id="myModalperfil" role="dialog">
<div class="modal-dialog modal-lg"  >
  <div class="modal-content" >
	<div >
	  <button type="button" class="close" data-dismiss="modal" title="Cerrar">&times;</button>
	  <h4 class="modal-title btn-primary" align="center">PERFIL SISTEMA</h4>
	</div>
	<div class="modal-body">
		 <iframe src="frm_perfil.php?obusca=0" width="100%" height="350PX" style="border:hidden;"></iframe>
	</div>
	<div class="modal-footer">
	  <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
	</div>
  </div>
</div>
</div>
</div>

<div class="modal fade" id="myModalmodulo" role="dialog">
<div class="modal-dialog modal-lg"  >
  <div class="modal-content" >
	<div >
	  <button type="button" class="close" data-dismiss="modal" title="Cerrar">&times;</button>
	  <h4 class="modal-title btn-primary" align="center">MODULOS SISTEMA</h4>
	</div>
	<div class="modal-body">
		 <iframe src="frm_perfil_modulo.php?usuario=<?php echo $login;?>&obusca=0" width="100%" height="350PX" style="border:hidden;"></iframe>
	</div>
	<div class="modal-footer">
	  <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
	</div>
  </div>
</div>
</div>
</div>
                             
<div class="modal fade" id="myModalempresausuario" role="dialog">
<div class="modal-dialog modal-lg"  >
  <div class="modal-content" >
	<div >
	  <button type="button" class="close" data-dismiss="modal" title="Cerrar">&times;</button>
	  <h4 class="modal-title btn-primary" align="center">USUARIO MODULO MENU</h4>
	</div>
	<div class="modal-body">
		 <iframe src="frm_usuario_empresa.php?usuario=<?php echo $login; ?>" width="100%" height="350PX" style="border:hidden;"></iframe>
	</div>
	<div class="modal-footer">
	  <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
	</div>
  </div>
</div>
</div>
</div>

<div class="modal fade" id="myModalmodulomenu" role="dialog">
<div class="modal-dialog modal-lg"  >
  <div class="modal-content" >
	<div >
	  <button type="button" class="close" data-dismiss="modal" title="Cerrar">&times;</button>
	  <h4 class="modal-title btn-primary" align="center">USUARIO MODULO MENU</h4>
	</div>
	<div class="modal-body">
		 <iframe src="frm_usuario_modulo.php?usuario=<?php echo $login;?>&obusca=0" width="100%" height="350PX" style="border:hidden;"></iframe>
	</div>
	<div class="modal-footer">
	  <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
	</div>
  </div>
</div>
</div>
</div>

<div class="modal fade" id="myModalperfiluser" role="dialog">
<div class="modal-dialog modal-lg"  >
  <div class="modal-content" >
	<div >
	  <button type="button" class="close" data-dismiss="modal" title="Cerrar">&times;</button>
	  <h4 class="modal-title btn-primary" align="center">PERFIL DE USUARIO</h4>
	</div>
	<div class="modal-body">
		 <iframe src="frm_perfil_usuario.php?vl_login=<?php echo $login; ?>" width="100%" height="350PX" style="border:hidden;"></iframe>
	</div>
	<div class="modal-footer">
	  <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
	</div>
  </div>
</div>
</div>
</div>





</body>

</html>



 <?php

function comprobar_email($email){ 

    $mail_correcto = 0; 

    //compruebo unas cosas primeras 

    if ((strlen($email) >= 6) && (substr_count($email,"@") == 1) && (substr($email,0,1) != "@") && (substr($email,strlen($email)-1,1) != "@")){ 

       if ((!strstr($email,"'")) && (!strstr($email,"\"")) && (!strstr($email,"\\")) && (!strstr($email,"\$")) && (!strstr($email," "))) { 

          //miro si tiene caracter . 

          if (substr_count($email,".")>= 1){ 

             //obtengo la terminacion del dominio 

             $term_dom = substr(strrchr ($email, '.'),1); 

             //compruebo que la terminaciï¿½n del dominio sea correcta 

             if (strlen($term_dom)>1 && strlen($term_dom)<5 && (!strstr($term_dom,"@")) ){ 

                //compruebo que lo de antes del dominio sea correcto 

                $antes_dom = substr($email,0,strlen($email) - strlen($term_dom) - 1); 

                $caracter_ult = substr($antes_dom,strlen($antes_dom)-1,1); 

                if ($caracter_ult != "@" && $caracter_ult != "."){ 

                   $mail_correcto = 1; 

                } 

             } 

          } 

       } 

    } 

    if ($mail_correcto) 

     return 1; 

    else 

     return 0; 

} 

?>

